"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ListPathConsumer = exports.ListProvider = void 0;

var _react = _interopRequireWildcard(require("react"));

var ListTrackingContext = /*#__PURE__*/_react["default"].createContext([]);

var ListProvider = function ListProvider(_ref) {
  var children = _ref.children;

  if (Array.isArray(children)) {
    return /*#__PURE__*/_react["default"].createElement(ListTrackingContext.Consumer, null, function (listPath) {
      return children.map(function (child, i) {
        return /*#__PURE__*/_react["default"].createElement(ListTrackingContext.Provider, {
          key: i,
          value: [].concat(listPath, [i])
        }, child);
      });
    });
  } else {
    throw new Error("Children of ListProvider must be an array!");
  }
};

exports.ListProvider = ListProvider;
var ListPathConsumer = ListTrackingContext.Consumer;
exports.ListPathConsumer = ListPathConsumer;